MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
UpnpCallback Class Referenceabstract

A class that is supposed to be used for libupnp asynchronous callbacks. More...

`#include <Callback.hxx>`

Inheritance diagram for UpnpCallback:
[legend]

## Public Member Functions
void * | GetUpnpCookie ()
| Pass this value as "cookie" pointer to libupnp asynchronous functions. More...
virtual int | Invoke (Upnp_EventType et, void *evp)=0

## Static Public Member Functions
static UpnpCallback & | FromUpnpCookie (void *cookie)

## Detailed Description

A class that is supposed to be used for libupnp asynchronous callbacks.

Definition at line 29 of file Callback.hxx.

## Member Function Documentation

static UpnpCallback& UpnpCallback::FromUpnpCookie | ( | void * | cookie | ) |
| inline static

Definition at line 39 of file Callback.hxx.

void* UpnpCallback::GetUpnpCookie | ( |  | ) |
| inline

Pass this value as "cookie" pointer to libupnp asynchronous functions.

Definition at line 35 of file Callback.hxx.

virtual int UpnpCallback::Invoke | ( | Upnp_EventType | et,
|  | void * | evp
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- lib/upnp/Callback.hxx